Next: psb_genrm2s Generalized Up: Computational routines Previous: psb_geasums Generalized Contents

## psb_norm2 -- 2-Norm of Vector

This function computes the 2-norm of a vector .
If is a real vector it computes 2-norm as:

else if is a complex vector then it computes 2-norm as:

Table 8: Data types
|  | Function
Short Precision Real | Short Precision Real | psb_genrm2
Long Precision Real | Long Precision Real | psb_genrm2
Short Precision Real | Short Precision Complex | psb_genrm2
Long Precision Real | Long Precision Complex | psb_genrm2

    psb_genrm2(x, desc_a, info)
    psb_norm2(x, desc_a, info)

Type:
  Synchronous.
On Entry
x
  the local portion of global dense matrix .
  Scope: local
  Type: required
  Intent: in.
  Specified as: a rank one or two array or an object of type vdata`psb_T_vect_type` containing numbers of type specified in Table 8.
desc_a
  contains data structures for communications.
  Scope: local
  Type: required
  Intent: in.
  Specified as: an object of type descdata`psb_desc_type`.

On Return
Function Value
  is the 2-norm of subvector .
  Scope: global
  Type: required
  Specified as: a long precision real number.
info
  Error code.
  Scope: local
  Type: required
  Intent: out.
  An integer value; 0 means no error has been detected.

Next: psb_genrm2s Generalized Up: Computational routines Previous: psb_geasums Generalized Contents